Page MenuHomePhabricator

Dropping page.page_counter on wmf databases
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/167655/ drops the page.page_counter column which sould also be dropped in production.
ALTER to run: ALTER TABLE /*_*/page DROP COLUMN page_counter;

Progress:

s1

s2

s3

s4

s5

s6

s7

s8

wikitech

  • eqiad
  • codfw

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 479393 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/479393

Mentioned in SAL (#wikimedia-operations) [2018-12-13T08:45:38Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1090:3317 T86338 T202167 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-12-13T08:45:44Z] <marostegui> Deploy schema change on db1090:3317 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-13T09:34:50Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1090:3317 T86338 T202167 (duration: 00m 51s)

Change 479405 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3317

https://gerrit.wikimedia.org/r/479405

Change 479405 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3317

https://gerrit.wikimedia.org/r/479405

Mentioned in SAL (#wikimedia-operations) [2018-12-13T09:59:56Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1101:3317 T86338 T202167 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-12-13T10:44:24Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1101:3317 T86338 T202167 (duration: 00m 51s)

Change 479586 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/479586

Change 479586 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/479586

Mentioned in SAL (#wikimedia-operations) [2018-12-14T05:55:08Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1094 T86338 T202167 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:10:19Z] <marostegui> Deployed schema change on db1094 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:14:12Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1094 T86338 T202167 (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:14:20Z] <marostegui> Deploy schema change on db1062 (s7 primary master) T86338 T202167

Marostegui updated the task description. (Show Details)Dec 14 2018, 6:41 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:53:45Z] <marostegui> Deploy schema change on db2043 (s3 codfw master) - this will generate lag on s3 codfw T86338 T20216

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:54:26Z] <marostegui> Deploy schema change on db2043 (s3 codfw master) - this will generate lag on s3 codfw T86338 T202167

Marostegui updated the task description. (Show Details)Dec 14 2018, 7:34 AM
Marostegui added a comment.EditedDec 14 2018, 7:41 AM

s3 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1123
  • db1095
  • db1078
  • db1077
  • db1075

Mentioned in SAL (#wikimedia-operations) [2018-12-14T07:58:59Z] <marostegui> Deploy schema change on dbstore1002:s3 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-14T09:33:47Z] <marostegui> Deploy schema change on db1095:3313 T86338 T202167

Marostegui updated the task description. (Show Details)Dec 14 2018, 10:22 AM

Change 480005 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/480005

Change 480006 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1010: Depool labsdb1010

https://gerrit.wikimedia.org/r/480006

Change 480006 merged by Marostegui:
[operations/puppet@production] dbproxy1010: Depool labsdb1010

https://gerrit.wikimedia.org/r/480006

Change 480005 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/480005

Mentioned in SAL (#wikimedia-operations) [2018-12-17T06:28:00Z] <marostegui> Depool labsdb1010 - T86338

Mentioned in SAL (#wikimedia-operations) [2018-12-17T06:28:21Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1123 T86338 T202167 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-17T08:15:57Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1123 T86338 T202167 (duration: 00m 45s)

Change 480024 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/480024

Change 480024 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/480024

Mentioned in SAL (#wikimedia-operations) [2018-12-17T08:21:44Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1077 T86338 T202167 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2018-12-17T08:21:52Z] <marostegui> Deploy schema change on db1077 with replication (lag will be generated on labsdb:s3) T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-17T08:47:13Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1077 T86338 T202167 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2018-12-17T09:04:24Z] <marostegui> Repool labsdb1010 - T86338

Change 480031 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1010: Depool labsdb1011

https://gerrit.wikimedia.org/r/480031

Change 480031 merged by Marostegui:
[operations/puppet@production] dbproxy1010: Depool labsdb1011

https://gerrit.wikimedia.org/r/480031

Mentioned in SAL (#wikimedia-operations) [2018-12-17T09:08:52Z] <marostegui> Depool labsdb1011 - T86338

Mentioned in SAL (#wikimedia-operations) [2018-12-17T10:18:52Z] <marostegui> Repool labsdb1011 - T86338

Change 480421 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/480421

Change 480421 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/480421

Mentioned in SAL (#wikimedia-operations) [2018-12-18T06:07:07Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1078 T86338 T202167 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2018-12-18T06:07:11Z] <marostegui> Deploy schema change on db1078 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-18T07:49:10Z] <marostegui> Deploy schema change on db1075 (s3 master) T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-18T07:49:39Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1078 T86338 T202167 (duration: 00m 45s)

Marostegui updated the task description. (Show Details)Dec 18 2018, 9:23 AM

Mentioned in SAL (#wikimedia-operations) [2019-01-02T07:00:59Z] <marostegui> Deploy schema change on s1 codfw master (lag will be generated on s1 codfw) - T202167 T86338

Marostegui updated the task description. (Show Details)Jan 2 2019, 7:52 AM
Marostegui added a comment.EditedJan 2 2019, 8:12 AM

s1 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • dbstore1001
  • db1124
  • db1119
  • db1114
  • db1106
  • db1105
  • db1099
  • db1089
  • db1083
  • db1080
  • db1067
Marostegui updated the task description. (Show Details)Jan 2 2019, 9:15 AM

Change 481842 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3311

https://gerrit.wikimedia.org/r/481842

Change 481842 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3311

https://gerrit.wikimedia.org/r/481842

Mentioned in SAL (#wikimedia-operations) [2019-01-02T11:23:42Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1099:3311 T86338 T202167 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2019-01-02T11:24:37Z] <marostegui> Deploy schema change on db1099:3311 - T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-02T13:01:12Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1099:3311 T86338 T202167 (duration: 00m 47s)

Change 481847 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/481847

Change 481847 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/481847

Mentioned in SAL (#wikimedia-operations) [2019-01-02T13:05:48Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1119 T86338 T202167 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2019-01-02T13:06:47Z] <marostegui> Deploy schema change on db1119 - T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-02T13:30:41Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1119 T86338 T202167 (duration: 00m 44s)

Change 482827 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/482827

Change 482827 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/482827

Mentioned in SAL (#wikimedia-operations) [2019-01-08T15:56:16Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1089 T86338 T202167 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2019-01-08T15:59:55Z] <marostegui> Deploy schema change on db1089 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-08T16:29:14Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1089 T86338 T202167 (duration: 00m 45s)

Change 482839 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/482839

Change 482839 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/482839

Mentioned in SAL (#wikimedia-operations) [2019-01-08T16:54:53Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1105:3311 T86338 T202167 (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2019-01-08T16:54:58Z] <marostegui> Deploy schema change on db1105:3311 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-08T18:28:45Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1105:3311 T86338 T202167 (duration: 00m 45s)

Change 483139 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/483139

Change 483139 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/483139

Mentioned in SAL (#wikimedia-operations) [2019-01-09T15:10:02Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1106 T86338 T202167 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-01-09T15:10:08Z] <marostegui> Deploy schema change on db1106 (sanitarium s1 master) with replication, lag will be generated on s1 labs - T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-09T15:34:56Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1106 T86338 T202167 (duration: 00m 51s)

Change 483170 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/483170

Change 483170 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/483170

Mentioned in SAL (#wikimedia-operations) [2019-01-09T16:29:15Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1083 T86338 T202167 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-01-09T16:29:34Z] <marostegui> Deploy schema change on db1083 - T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-09T17:05:28Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1083 T86338 T202167 (duration: 00m 52s)

Change 483190 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1010: Depool labsdb1011

https://gerrit.wikimedia.org/r/483190

Change 483190 merged by Marostegui:
[operations/puppet@production] dbproxy1010: Depool labsdb1011

https://gerrit.wikimedia.org/r/483190

Mentioned in SAL (#wikimedia-operations) [2019-01-09T17:28:03Z] <marostegui> Reload haproxy on dbproxy1010 to depool labsdb1011 - T86338

Change 483420 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/483420

Change 483420 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/483420

Mentioned in SAL (#wikimedia-operations) [2019-01-10T14:33:05Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1114 T86338 T202167 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-01-10T14:33:12Z] <marostegui> Deploy schema change on db1114 - T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-10T14:55:42Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1114 T86338 T202167 (duration: 00m 52s)

Change 483438 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/483438

Change 483438 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/483438

Mentioned in SAL (#wikimedia-operations) [2019-01-10T14:59:14Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1080 T86338 T202167 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-01-10T14:59:18Z] <marostegui> Deploy schema change on db1080 - T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-10T15:26:05Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1080 T86338 T202167 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2019-01-10T15:27:01Z] <marostegui> Deploy schema change on db1067 (s1 master) - T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2019-01-10T15:56:12Z] <marostegui> Deploy schema change on db1068 (s4 master) - T86338

Marostegui updated the task description. (Show Details)Jan 10 2019, 3:57 PM
Marostegui closed this task as Resolved.Jan 10 2019, 5:10 PM

db1068 (s4 master) has too much concurrency on the page table to be able to alter it live (metada locking issues)

This finally went thru after a second attempt.

root@cumin1001:/home/marostegui# mysql.py -hdb1068 -e "show create table commonswiki.page\G"
*************************** 1. row ***************************
       Table: page
Create Table: CREATE TABLE `page` (
  `page_id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `page_namespace` int(11) NOT NULL DEFAULT '0',
  `page_title` varbinary(255) NOT NULL DEFAULT '',
  `page_restrictions` tinyblob NOT NULL,
  `page_is_redirect` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `page_is_new` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `page_random` double unsigned NOT NULL DEFAULT '0',
  `page_touched` varbinary(14) NOT NULL DEFAULT '',
  `page_links_updated` varbinary(14) DEFAULT NULL,
  `page_latest` int(8) unsigned NOT NULL DEFAULT '0',
  `page_len` int(8) unsigned NOT NULL DEFAULT '0',
  `page_no_title_convert` tinyint(1) NOT NULL DEFAULT '0',
  `page_content_model` varbinary(32) DEFAULT NULL,
  `page_lang` varbinary(35) DEFAULT NULL,
  PRIMARY KEY (`page_id`),
  UNIQUE KEY `name_title` (`page_namespace`,`page_title`),
  KEY `page_random` (`page_random`),
  KEY `page_len` (`page_len`),
  KEY `page_redirect_namespace_len` (`page_is_redirect`,`page_namespace`,`page_len`)
) ENGINE=InnoDB AUTO_INCREMENT=75740131 DEFAULT CHARSET=binary

So this is all done!

Marostegui updated the task description. (Show Details)Jan 10 2019, 5:10 PM